<template>
  <div class="problem">
    <AreaCard title="控制区" height="60" :windturbineList="windturbineList" :current="current" ref="areaCard"></AreaCard>
  </div>
</template>

<script>
  import AreaCard from "./areaCard.vue";
  export default {
    name: "ProblemArea",
    components: {
      AreaCard,
    },
    props: {
      current: {
        type: Number,
      },
      windturbineList: {
        type: String,
      },
    },
    data() {
      return {
        ls: {
          maintain: { key: "维护", value: [] },
          malfunction: { key: "故障", value: [] },
          offline: { key: "离线", value: [] },
          lockd: { key: "挂牌", value: [] },
        },
      };
    },
    computed: {},
    created() {
    },
    methods: {
      control(current){
        this.$refs.areaCard.control(current)
      }
    }
  };
</script>
<style scoped>
  .problem {
    height: 100%;
  }
</style>